/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package proyecto;

import java.awt.Image;
import java.text.DecimalFormat;
import java.util.InputMismatchException;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

/**
 *
 * @author olive
 */
public class Presupuesto extends javax.swing.JFrame {
 
    double  Subtotal,Total,Impuesto=0.0;
    
    
    public Presupuesto() {
        initComponents();
        this.setLocationRelativeTo(null);
        /// fondo
        ImageIcon ruta = new ImageIcon("src/multimedia/presupuesto.jpg");
        Icon fondo = new ImageIcon(ruta.getImage().getScaledInstance(lblFondoPresupuesto.getWidth(), lblFondoPresupuesto.getHeight(), Image.SCALE_DEFAULT));
        lblFondoPresupuesto.setIcon(fondo);
        /// icono
        ruta = new ImageIcon("src/multimedia/iconopresu.png");
        this.setIconImage(ruta.getImage());
        
       
        
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        BtnGroup = new javax.swing.ButtonGroup();
        jPanel1 = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        txtMontoObra = new javax.swing.JTextField();
        txtNumApar = new javax.swing.JTextField();
        txtMC = new javax.swing.JTextField();
        txtPrecioMetro = new javax.swing.JTextField();
        txtCostoDepartamento = new javax.swing.JTextField();
        btnCalculoPropuesta = new javax.swing.JButton();
        panelImpuesto = new javax.swing.JPanel();
        RbtnSi = new javax.swing.JRadioButton();
        RbtnNo = new javax.swing.JRadioButton();
        btnCalculoMonto = new javax.swing.JButton();
        panel1 = new javax.swing.JPanel();
        chk4 = new javax.swing.JCheckBox();
        monto1 = new javax.swing.JTextField();
        txtPorc1 = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        monto2 = new javax.swing.JTextField();
        txtPorc2 = new javax.swing.JTextField();
        monto3 = new javax.swing.JTextField();
        txtPorc3 = new javax.swing.JTextField();
        monto4 = new javax.swing.JTextField();
        txtPorc4 = new javax.swing.JTextField();
        chk1 = new javax.swing.JCheckBox();
        chk2 = new javax.swing.JCheckBox();
        chk3 = new javax.swing.JCheckBox();
        chk9 = new javax.swing.JCheckBox();
        chk5 = new javax.swing.JCheckBox();
        chk6 = new javax.swing.JCheckBox();
        chk7 = new javax.swing.JCheckBox();
        chk8 = new javax.swing.JCheckBox();
        chk11 = new javax.swing.JCheckBox();
        chk12 = new javax.swing.JCheckBox();
        chk10 = new javax.swing.JCheckBox();
        monto5 = new javax.swing.JTextField();
        txtPorc5 = new javax.swing.JTextField();
        monto6 = new javax.swing.JTextField();
        txtPorc6 = new javax.swing.JTextField();
        monto7 = new javax.swing.JTextField();
        txtPorc7 = new javax.swing.JTextField();
        monto8 = new javax.swing.JTextField();
        txtPorc8 = new javax.swing.JTextField();
        monto9 = new javax.swing.JTextField();
        txtPorc9 = new javax.swing.JTextField();
        monto10 = new javax.swing.JTextField();
        txtPorc10 = new javax.swing.JTextField();
        monto11 = new javax.swing.JTextField();
        txtPorc11 = new javax.swing.JTextField();
        monto12 = new javax.swing.JTextField();
        txtPorc12 = new javax.swing.JTextField();
        txtSubtotal = new javax.swing.JTextField();
        txtImpuesto = new javax.swing.JTextField();
        txtTotal = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jButton2 = new javax.swing.JButton();
        btnRegresar = new javax.swing.JButton();
        lblFondoPresupuesto = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Presupuesto general");
        setLocation(new java.awt.Point(321, 87));
        setResizable(false);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jPanel1.setBackground(new java.awt.Color(255, 204, 0));
        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Propuesta económica", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Comic Sans MS", 1, 18), new java.awt.Color(0, 0, 0))); // NOI18N
        jPanel1.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel6.setFont(new java.awt.Font("Comic Sans MS", 1, 16)); // NOI18N
        jLabel6.setForeground(new java.awt.Color(0, 0, 0));
        jLabel6.setText("Monto de la Obra:");
        jPanel1.add(jLabel6, new org.netbeans.lib.awtextra.AbsoluteConstraints(30, 40, 150, -1));

        jLabel7.setFont(new java.awt.Font("Comic Sans MS", 1, 16)); // NOI18N
        jLabel7.setForeground(new java.awt.Color(0, 0, 0));
        jLabel7.setText("Número de departamentos:");
        jPanel1.add(jLabel7, new org.netbeans.lib.awtextra.AbsoluteConstraints(30, 70, 220, -1));

        jLabel8.setFont(new java.awt.Font("Comic Sans MS", 1, 16)); // NOI18N
        jLabel8.setForeground(new java.awt.Color(0, 0, 0));
        jLabel8.setText("M2 de construcción:");
        jPanel1.add(jLabel8, new org.netbeans.lib.awtextra.AbsoluteConstraints(30, 100, 160, 30));

        jLabel9.setFont(new java.awt.Font("Comic Sans MS", 1, 16)); // NOI18N
        jLabel9.setForeground(new java.awt.Color(0, 0, 0));
        jLabel9.setText("Precio por M2:");
        jPanel1.add(jLabel9, new org.netbeans.lib.awtextra.AbsoluteConstraints(170, 160, 120, -1));

        jLabel10.setFont(new java.awt.Font("Comic Sans MS", 1, 16)); // NOI18N
        jLabel10.setForeground(new java.awt.Color(0, 0, 0));
        jLabel10.setText("Costo Unitario por departamento:");
        jPanel1.add(jLabel10, new org.netbeans.lib.awtextra.AbsoluteConstraints(30, 200, 270, -1));

        txtMontoObra.setFont(new java.awt.Font("Comic Sans MS", 1, 12)); // NOI18N
        txtMontoObra.setForeground(new java.awt.Color(0, 0, 0));
        txtMontoObra.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtMontoObra.setEnabled(false);
        jPanel1.add(txtMontoObra, new org.netbeans.lib.awtextra.AbsoluteConstraints(240, 40, 90, 24));

        txtNumApar.setFont(new java.awt.Font("Comic Sans MS", 1, 12)); // NOI18N
        jPanel1.add(txtNumApar, new org.netbeans.lib.awtextra.AbsoluteConstraints(240, 70, 90, 24));

        txtMC.setFont(new java.awt.Font("Comic Sans MS", 1, 12)); // NOI18N
        jPanel1.add(txtMC, new org.netbeans.lib.awtextra.AbsoluteConstraints(240, 100, 90, -1));

        txtPrecioMetro.setFont(new java.awt.Font("Comic Sans MS", 1, 12)); // NOI18N
        txtPrecioMetro.setForeground(new java.awt.Color(0, 0, 0));
        txtPrecioMetro.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPrecioMetro.setEnabled(false);
        jPanel1.add(txtPrecioMetro, new org.netbeans.lib.awtextra.AbsoluteConstraints(310, 160, 90, -1));

        txtCostoDepartamento.setFont(new java.awt.Font("Comic Sans MS", 1, 12)); // NOI18N
        txtCostoDepartamento.setForeground(new java.awt.Color(0, 0, 0));
        txtCostoDepartamento.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtCostoDepartamento.setEnabled(false);
        jPanel1.add(txtCostoDepartamento, new org.netbeans.lib.awtextra.AbsoluteConstraints(310, 200, 90, -1));

        btnCalculoPropuesta.setBackground(new java.awt.Color(255, 153, 0));
        btnCalculoPropuesta.setFont(new java.awt.Font("Comic Sans MS", 1, 14)); // NOI18N
        btnCalculoPropuesta.setForeground(new java.awt.Color(0, 0, 0));
        btnCalculoPropuesta.setText("<html><p>Calcular</p></html>");
        btnCalculoPropuesta.setActionCommand("Calcular");
        btnCalculoPropuesta.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 1, new java.awt.Color(0, 0, 0)));
        btnCalculoPropuesta.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCalculoPropuestaActionPerformed(evt);
            }
        });
        jPanel1.add(btnCalculoPropuesta, new org.netbeans.lib.awtextra.AbsoluteConstraints(340, 80, 80, 50));

        getContentPane().add(jPanel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(450, 200, 430, 250));

        panelImpuesto.setBackground(new java.awt.Color(0, 102, 255));
        panelImpuesto.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Impuesto", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Comic Sans MS", 1, 18), new java.awt.Color(0, 0, 0))); // NOI18N
        panelImpuesto.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        BtnGroup.add(RbtnSi);
        RbtnSi.setFont(new java.awt.Font("Comic Sans MS", 1, 18)); // NOI18N
        RbtnSi.setForeground(new java.awt.Color(0, 0, 0));
        RbtnSi.setText("Si");
        RbtnSi.setOpaque(false);
        panelImpuesto.add(RbtnSi, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 40, -1, -1));

        BtnGroup.add(RbtnNo);
        RbtnNo.setFont(new java.awt.Font("Comic Sans MS", 1, 18)); // NOI18N
        RbtnNo.setForeground(new java.awt.Color(0, 0, 0));
        RbtnNo.setText("No");
        RbtnNo.setOpaque(false);
        panelImpuesto.add(RbtnNo, new org.netbeans.lib.awtextra.AbsoluteConstraints(60, 40, -1, -1));

        getContentPane().add(panelImpuesto, new org.netbeans.lib.awtextra.AbsoluteConstraints(450, 20, 130, 90));

        btnCalculoMonto.setBackground(new java.awt.Color(51, 255, 51));
        btnCalculoMonto.setFont(new java.awt.Font("Comic Sans MS", 1, 18)); // NOI18N
        btnCalculoMonto.setForeground(new java.awt.Color(0, 0, 0));
        btnCalculoMonto.setText("calcular");
        btnCalculoMonto.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 1, new java.awt.Color(0, 0, 0)));
        btnCalculoMonto.setDefaultCapable(false);
        btnCalculoMonto.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCalculoMontoActionPerformed(evt);
            }
        });
        getContentPane().add(btnCalculoMonto, new org.netbeans.lib.awtextra.AbsoluteConstraints(510, 130, 170, 40));

        panel1.setBackground(new java.awt.Color(0, 204, 204));
        panel1.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Informacion", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Comic Sans MS", 1, 18), new java.awt.Color(0, 0, 0))); // NOI18N
        panel1.setForeground(new java.awt.Color(0, 0, 0));
        panel1.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        chk4.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk4.setForeground(new java.awt.Color(0, 0, 0));
        chk4.setText("Instalación Hidrosanitaria");
        chk4.setOpaque(false);
        chk4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk4ActionPerformed(evt);
            }
        });
        panel1.add(chk4, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 150, -1, -1));

        monto1.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto1.setEnabled(false);
        panel1.add(monto1, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 60, 89, 22));

        txtPorc1.setBackground(new java.awt.Color(255, 255, 255));
        txtPorc1.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc1.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc1.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc1.setEnabled(false);
        txtPorc1.setSelectedTextColor(new java.awt.Color(255, 255, 255));
        txtPorc1.setSelectionColor(new java.awt.Color(51, 102, 255));
        panel1.add(txtPorc1, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 60, 87, 22));

        jLabel1.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        jLabel1.setForeground(new java.awt.Color(0, 0, 0));
        jLabel1.setText("Monto en B/.");
        panel1.add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 30, -1, -1));

        jLabel2.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        jLabel2.setForeground(new java.awt.Color(0, 0, 0));
        jLabel2.setText("Porcentaje");
        panel1.add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 30, -1, -1));

        monto2.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto2.setEnabled(false);
        panel1.add(monto2, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 90, 89, 22));

        txtPorc2.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc2.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc2.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc2.setEnabled(false);
        panel1.add(txtPorc2, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 90, 87, 22));

        monto3.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto3.setEnabled(false);
        panel1.add(monto3, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 120, 89, 22));

        txtPorc3.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc3.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc3.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc3.setEnabled(false);
        panel1.add(txtPorc3, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 120, 87, 22));

        monto4.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto4.setEnabled(false);
        panel1.add(monto4, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 150, 89, 22));

        txtPorc4.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc4.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc4.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc4.setEnabled(false);
        panel1.add(txtPorc4, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 150, 87, 22));

        chk1.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk1.setForeground(new java.awt.Color(0, 0, 0));
        chk1.setText("Tramites preliminares");
        chk1.setOpaque(false);
        chk1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk1ActionPerformed(evt);
            }
        });
        panel1.add(chk1, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 60, -1, -1));

        chk2.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk2.setForeground(new java.awt.Color(0, 0, 0));
        chk2.setText("Cimentación");
        chk2.setOpaque(false);
        chk2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk2ActionPerformed(evt);
            }
        });
        panel1.add(chk2, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 90, -1, -1));

        chk3.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk3.setForeground(new java.awt.Color(0, 0, 0));
        chk3.setText("Estructura Elevador");
        chk3.setOpaque(false);
        chk3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk3ActionPerformed(evt);
            }
        });
        panel1.add(chk3, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 120, -1, -1));

        chk9.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk9.setForeground(new java.awt.Color(0, 0, 0));
        chk9.setText("Azoteas");
        chk9.setOpaque(false);
        chk9.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk9ActionPerformed(evt);
            }
        });
        panel1.add(chk9, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 300, -1, -1));

        chk5.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk5.setForeground(new java.awt.Color(0, 0, 0));
        chk5.setText("Instalación eléctrica");
        chk5.setOpaque(false);
        chk5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk5ActionPerformed(evt);
            }
        });
        panel1.add(chk5, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 180, -1, -1));

        chk6.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk6.setForeground(new java.awt.Color(0, 0, 0));
        chk6.setText("Instalación de gas");
        chk6.setOpaque(false);
        chk6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk6ActionPerformed(evt);
            }
        });
        panel1.add(chk6, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 210, -1, -1));

        chk7.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk7.setForeground(new java.awt.Color(0, 0, 0));
        chk7.setText("Muros y estructuras");
        chk7.setOpaque(false);
        chk7.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk7ActionPerformed(evt);
            }
        });
        panel1.add(chk7, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 240, -1, -1));

        chk8.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk8.setForeground(new java.awt.Color(0, 0, 0));
        chk8.setText("Losas");
        chk8.setOpaque(false);
        chk8.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk8ActionPerformed(evt);
            }
        });
        panel1.add(chk8, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 270, -1, -1));

        chk11.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk11.setForeground(new java.awt.Color(0, 0, 0));
        chk11.setText("Acabados y muebles");
        chk11.setOpaque(false);
        chk11.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk11ActionPerformed(evt);
            }
        });
        panel1.add(chk11, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 360, -1, -1));

        chk12.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk12.setForeground(new java.awt.Color(0, 0, 0));
        chk12.setText("Carpinteria");
        chk12.setOpaque(false);
        chk12.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk12ActionPerformed(evt);
            }
        });
        panel1.add(chk12, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 390, -1, -1));

        chk10.setFont(new java.awt.Font("Comic Sans MS", 1, 15)); // NOI18N
        chk10.setForeground(new java.awt.Color(0, 0, 0));
        chk10.setText("Albañileria");
        chk10.setOpaque(false);
        chk10.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chk10ActionPerformed(evt);
            }
        });
        panel1.add(chk10, new org.netbeans.lib.awtextra.AbsoluteConstraints(4, 330, -1, -1));

        monto5.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto5.setEnabled(false);
        panel1.add(monto5, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 180, 89, 22));

        txtPorc5.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc5.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc5.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc5.setEnabled(false);
        panel1.add(txtPorc5, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 180, 87, 22));

        monto6.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto6.setEnabled(false);
        panel1.add(monto6, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 210, 89, 22));

        txtPorc6.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc6.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc6.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc6.setEnabled(false);
        panel1.add(txtPorc6, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 210, 87, 22));

        monto7.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto7.setEnabled(false);
        panel1.add(monto7, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 240, 89, 22));

        txtPorc7.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc7.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc7.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc7.setEnabled(false);
        panel1.add(txtPorc7, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 240, 87, 22));

        monto8.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto8.setEnabled(false);
        panel1.add(monto8, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 270, 89, 22));

        txtPorc8.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc8.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc8.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc8.setEnabled(false);
        panel1.add(txtPorc8, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 270, 87, 22));

        monto9.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto9.setEnabled(false);
        panel1.add(monto9, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 300, 89, 22));

        txtPorc9.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc9.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc9.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc9.setEnabled(false);
        panel1.add(txtPorc9, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 300, 87, 22));

        monto10.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto10.setEnabled(false);
        panel1.add(monto10, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 330, 89, 22));

        txtPorc10.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc10.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc10.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc10.setEnabled(false);
        panel1.add(txtPorc10, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 330, 87, 22));

        monto11.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto11.setEnabled(false);
        panel1.add(monto11, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 360, 89, 22));

        txtPorc11.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc11.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc11.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc11.setEnabled(false);
        panel1.add(txtPorc11, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 360, 87, 22));

        monto12.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        monto12.setEnabled(false);
        panel1.add(monto12, new org.netbeans.lib.awtextra.AbsoluteConstraints(220, 390, 89, 22));

        txtPorc12.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtPorc12.setForeground(new java.awt.Color(0, 0, 0));
        txtPorc12.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtPorc12.setEnabled(false);
        panel1.add(txtPorc12, new org.netbeans.lib.awtextra.AbsoluteConstraints(320, 390, 87, 22));

        getContentPane().add(panel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(20, 20, 420, 430));

        txtSubtotal.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtSubtotal.setForeground(new java.awt.Color(0, 0, 0));
        txtSubtotal.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtSubtotal.setEnabled(false);
        getContentPane().add(txtSubtotal, new org.netbeans.lib.awtextra.AbsoluteConstraints(770, 20, 100, 24));

        txtImpuesto.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtImpuesto.setForeground(new java.awt.Color(0, 0, 0));
        txtImpuesto.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtImpuesto.setEnabled(false);
        getContentPane().add(txtImpuesto, new org.netbeans.lib.awtextra.AbsoluteConstraints(770, 50, 100, 24));

        txtTotal.setFont(new java.awt.Font("Dialog", 1, 12)); // NOI18N
        txtTotal.setForeground(new java.awt.Color(0, 0, 0));
        txtTotal.setDisabledTextColor(new java.awt.Color(0, 0, 0));
        txtTotal.setEnabled(false);
        getContentPane().add(txtTotal, new org.netbeans.lib.awtextra.AbsoluteConstraints(770, 80, 100, 24));

        jLabel3.setFont(new java.awt.Font("Comic Sans MS", 1, 18)); // NOI18N
        jLabel3.setText("SubTotal general:");
        getContentPane().add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(600, 20, 160, 24));

        jLabel4.setFont(new java.awt.Font("Comic Sans MS", 1, 18)); // NOI18N
        jLabel4.setText(" Impuesto:");
        getContentPane().add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(660, 50, 100, 24));

        jLabel5.setFont(new java.awt.Font("Comic Sans MS", 1, 18)); // NOI18N
        jLabel5.setText("Total:");
        getContentPane().add(jLabel5, new org.netbeans.lib.awtextra.AbsoluteConstraints(700, 80, 100, 24));

        jButton2.setBackground(new java.awt.Color(204, 153, 0));
        jButton2.setFont(new java.awt.Font("Comic Sans MS", 1, 18)); // NOI18N
        jButton2.setForeground(new java.awt.Color(0, 0, 0));
        jButton2.setText("Limpiar");
        jButton2.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 1, new java.awt.Color(0, 0, 0)));
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });
        getContentPane().add(jButton2, new org.netbeans.lib.awtextra.AbsoluteConstraints(620, 460, 110, 30));

        btnRegresar.setBackground(new java.awt.Color(255, 0, 0));
        btnRegresar.setFont(new java.awt.Font("Comic Sans MS", 1, 18)); // NOI18N
        btnRegresar.setForeground(new java.awt.Color(0, 0, 0));
        btnRegresar.setText("Regresar");
        btnRegresar.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 1, new java.awt.Color(0, 0, 0)));
        btnRegresar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnRegresarActionPerformed(evt);
            }
        });
        getContentPane().add(btnRegresar, new org.netbeans.lib.awtextra.AbsoluteConstraints(750, 460, 120, 30));

        lblFondoPresupuesto.setForeground(new java.awt.Color(0, 0, 0));
        lblFondoPresupuesto.setText("lblfondo");
        getContentPane().add(lblFondoPresupuesto, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 890, 520));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void chk1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk1ActionPerformed
       
           if(chk1.isSelected())
        {
        monto1.setEnabled(true);
        monto1.requestFocus();
        }
        else
        {
          monto1.setEnabled(false);  
          monto1.setText(null);
          txtPorc1.setText(null);
        }
       
        
    }//GEN-LAST:event_chk1ActionPerformed

    private void chk2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk2ActionPerformed
        
        if(chk2.isSelected())
        {
        monto2.setEnabled(true);
        monto2.requestFocus();
        }
        else
        {
          monto2.setEnabled(false);  
          monto2.setText(null);
          txtPorc2.setText(null);
        }
        
    }//GEN-LAST:event_chk2ActionPerformed

    private void btnCalculoMontoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCalculoMontoActionPerformed
         
        
           Double m1 = 0.0,m2 = 0.0,m3 = 0.0,m4 = 0.0,m5 = 0.0,m6 = 0.0,m7 = 0.0,m8 = 0.0,m9 = 0.0,m10 = 0.0,m11 = 0.0,m12 = 0.0,
           porcen1, porcen2,porcen3,porcen4,porcen5 ,porcen6,porcen7,porcen8,porcen9,porcen10,porcen11,porcen12;
                   
           DecimalFormat df = new DecimalFormat(".##");
           
          
           
          try
          {
           ///// check y monto 1/////   
           if(chk1.isSelected())
           { 
               m1 = Double.parseDouble(monto1.getText());
           }  
          ///// check y monto 2/////
           if(chk2.isSelected())
           {
                m2 = Double.parseDouble(monto2.getText()); 
           }
           ///// check y monto 3/////
           if(chk3.isSelected())
           {
                m3 = Double.parseDouble(monto3.getText()); 
           }
           ///// check y monto 4/////
           if(chk4.isSelected())
           {
                m4 = Double.parseDouble(monto4.getText()); 
           }
           ///// check y monto 5/////
           if(chk5.isSelected())
           {
                m5 = Double.parseDouble(monto5.getText()); 
           }
           ///// check y monto 6/////
           if(chk6.isSelected())
           {
                m6 = Double.parseDouble(monto6.getText()); 
           }
           ///// check y monto 7/////
           if(chk7.isSelected())
           {
                m7 = Double.parseDouble(monto7.getText()); 
           }
           ///// check y monto 8/////
           if(chk8.isSelected())
           {
                m8 = Double.parseDouble(monto8.getText()); 
           }
           ///// check y monto 9/////
           if(chk9.isSelected())
           {
                m9 = Double.parseDouble(monto9.getText()); 
           }
           ///// check y monto 10/////
           if(chk10.isSelected())
           {
                m10 = Double.parseDouble(monto10.getText()); 
           }
           ///// check y monto 11/////
           if(chk11.isSelected())
           {
                m11 = Double.parseDouble(monto11.getText()); 
           }
           ///// check y monto 12/////
           if(chk12.isSelected())
           {
                m12 = Double.parseDouble(monto12.getText()); 
           }
           
           
           Subtotal = m1+ m2 + m3 + m4 + m5 + m6 + m7 + m8 + m9 + m10 + m11 + m12;
          porcen1= (m1*100)/Subtotal;
          porcen2= (m2*100)/Subtotal;
          porcen3= (m3*100)/Subtotal;
          porcen4= (m4*100)/Subtotal;
          porcen5= (m5*100)/Subtotal;
          porcen6= (m6*100)/Subtotal;
          porcen7= (m7*100)/Subtotal;
          porcen8= (m8*100)/Subtotal;
          porcen9= (m9*100)/Subtotal;
          porcen10= (m10*100)/Subtotal;
          porcen11= (m11*100)/Subtotal;
          porcen12= (m12*100)/Subtotal;
          
          
          
          //// porcen1
          if(monto1.isEnabled())
          {
          txtPorc1.setText(String.valueOf(df.format(porcen1)+"%"));
          }
          //// porcen2
          if(monto2.isEnabled())
          {
          txtPorc2.setText(String.valueOf(df.format(porcen2)+"%"));
          }
          //// porcen3
          if(monto3.isEnabled())
          {
          txtPorc3.setText(String.valueOf(df.format(porcen3)+"%"));
          }
          //// porcen4
          if(monto4.isEnabled())
          {
          txtPorc4.setText(String.valueOf(df.format(porcen4)+"%"));
          }
          //// porcen5
          if(monto5.isEnabled())
          {
          txtPorc5.setText(String.valueOf(df.format(porcen5)+"%"));
          }
          //// porcen6
          if(monto6.isEnabled())
          {
          txtPorc6.setText(String.valueOf(df.format(porcen6)+"%"));
          }
          //// porcen7
          if(monto7.isEnabled())
          {
          txtPorc7.setText(String.valueOf(df.format(porcen7)+"%"));
          }
          //// porcen8
          if(monto8.isEnabled())
          {
          txtPorc8.setText(String.valueOf(df.format(porcen8)+"%"));
          }
          //// porcen9
          if(monto9.isEnabled())
          {
          txtPorc9.setText(String.valueOf(df.format(porcen9)+"%"));
          }
          //// porcen10
          if(monto10.isEnabled())
          {
          txtPorc10.setText(String.valueOf(df.format(porcen10)+"%"));
          }
          //// porcen11
          if(monto11.isEnabled())
          {
          txtPorc11.setText(String.valueOf(df.format(porcen11)+"%"));
          }
          //// porcen12
          if(monto12.isEnabled())
          {
          txtPorc12.setText(String.valueOf(df.format(porcen12)+"%"));
          }
          
          
          //// Sub total general ///////////////
          txtSubtotal.setText("B/: "+String.valueOf(df.format(Subtotal)));
          
          //// Impuesto
          if(RbtnSi.isSelected())
          {
             Impuesto = Subtotal*0.12;
             txtImpuesto.setText("B/: "+String.valueOf(df.format(Impuesto))); 
          }    
          else if (RbtnNo.isSelected())
          {
             Impuesto = 0.0; 
             txtImpuesto.setText(null);
          }    
              
          
          /// Total
          Total = Subtotal + Impuesto;
          txtTotal.setText("B/: "+String.valueOf(df.format(Total))); 
          
          /// monto obra
          txtMontoObra.setText("B/: "+String.valueOf(df.format(Total)));
 
          txtNumApar.requestFocus();
          }
         catch(Exception e) {
                      JOptionPane.showMessageDialog(null, " Error: Revisa los campos :( \n"+ "       Vuelve a intentalo  :3   " ,"Error",JOptionPane.ERROR_MESSAGE);
               }  // cath                                               
          
           
           
          
          
          
          
          
          
          
          
        
    }//GEN-LAST:event_btnCalculoMontoActionPerformed

    private void chk3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk3ActionPerformed
       if(chk3.isSelected())
        {
        monto3.setEnabled(true);
        monto3.requestFocus();
        }
        else
        {
          monto3.setEnabled(false);  
          monto3.setText(null);
          txtPorc3.setText(null);
        }
    }//GEN-LAST:event_chk3ActionPerformed

    private void chk4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk4ActionPerformed
        if(chk4.isSelected())
        {
        monto4.setEnabled(true);
        monto4.requestFocus();
        }
        else
        {
          monto4.setEnabled(false); 
          monto4.setText(null);
          txtPorc4.setText(null);
        }
    }//GEN-LAST:event_chk4ActionPerformed

    private void chk5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk5ActionPerformed
        if(chk5.isSelected())
        {
        monto5.setEnabled(true);
        monto5.requestFocus();
        }
        else
        {
          monto5.setEnabled(false); 
          monto5.setText(null);
          txtPorc5.setText(null);
        }
    }//GEN-LAST:event_chk5ActionPerformed

    private void chk6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk6ActionPerformed
    if(chk6.isSelected())
        {
        monto6.setEnabled(true);
        monto6.requestFocus();
        }
        else
        {
          monto6.setEnabled(false); 
          monto6.setText(null);
          txtPorc6.setText(null);
        }
    }//GEN-LAST:event_chk6ActionPerformed

    private void chk7ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk7ActionPerformed
        if(chk7.isSelected())
        {
        monto7.setEnabled(true);
        monto7.requestFocus();
        }
        else
        {
          monto7.setEnabled(false); 
          monto7.setText(null);
          txtPorc7.setText(null);
        }
    }//GEN-LAST:event_chk7ActionPerformed

    private void chk8ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk8ActionPerformed
          if(chk8.isSelected())
        {
        monto8.setEnabled(true);
        monto8.requestFocus();
        }
        else
        {
          monto8.setEnabled(false); 
          monto8.setText(null);
          txtPorc8.setText(null);
        }
    }//GEN-LAST:event_chk8ActionPerformed

    private void chk9ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk9ActionPerformed
        if(chk9.isSelected())
        {
        monto9.setEnabled(true);
        monto9.requestFocus();
        }
        else
        {
          monto9.setEnabled(false); 
          monto9.setText(null);
          txtPorc9.setText(null);
        }
    }//GEN-LAST:event_chk9ActionPerformed

    private void chk10ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk10ActionPerformed
     if(chk10.isSelected())
        {
        monto10.setEnabled(true);
        monto10.requestFocus();
        }
        else
        {
          monto10.setEnabled(false); 
          monto10.setText(null);
          txtPorc10.setText(null);
        }
        
    }//GEN-LAST:event_chk10ActionPerformed

    private void chk11ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk11ActionPerformed
      if(chk11.isSelected())
        {
        monto11.setEnabled(true);
        monto11.requestFocus();
        }
        else
        {
          monto11.setEnabled(false); 
          monto11.setText(null);
          txtPorc11.setText(null);
        }
    }//GEN-LAST:event_chk11ActionPerformed

    private void chk12ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chk12ActionPerformed
       if(chk12.isSelected())
        {
        monto12.setEnabled(true);
        monto12.requestFocus();
        }
        else
        {
          monto12.setEnabled(false); 
          monto12.setText(null);
          txtPorc12.setText(null);
        }
    }//GEN-LAST:event_chk12ActionPerformed

    private void btnRegresarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnRegresarActionPerformed
        
        SEE S = new SEE();
        S.setVisible(true);
        this.dispose();
        
    }//GEN-LAST:event_btnRegresarActionPerformed

    private void btnCalculoPropuestaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCalculoPropuestaActionPerformed
        DecimalFormat df = new DecimalFormat(".##");
        double montoObra,MC,NumApar,PM,CD;
        
        try{
            
        // monto de la obra
       // montoObra = Double.parseDouble(txtMontoObra.getText());
        montoObra =Total;
            // numero de apartamentos
        NumApar = Double.parseDouble(txtNumApar.getText());
        
           // Metros de contruccion
        MC=Double.parseDouble(txtMC.getText());
        
        // precio por metro
        PM = montoObra / MC;
        txtPrecioMetro.setText("B/: "+String.valueOf(df.format(PM)));
        
        // Costo por departamento
        CD = montoObra / NumApar;
        txtCostoDepartamento.setText("B/: "+String.valueOf(df.format(CD)));
        
        }catch(Exception e) {
                      JOptionPane.showMessageDialog(null, " Error: Revisa los campos :( \n"+ "       Vuelve a intentalo  :3   " ,"Error",JOptionPane.ERROR_MESSAGE);
               }  // cath 
       
    }//GEN-LAST:event_btnCalculoPropuestaActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButton2ActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Presupuesto.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Presupuesto.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Presupuesto.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Presupuesto.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Presupuesto().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup BtnGroup;
    private javax.swing.JRadioButton RbtnNo;
    private javax.swing.JRadioButton RbtnSi;
    private javax.swing.JButton btnCalculoMonto;
    private javax.swing.JButton btnCalculoPropuesta;
    private javax.swing.JButton btnRegresar;
    private javax.swing.JCheckBox chk1;
    private javax.swing.JCheckBox chk10;
    private javax.swing.JCheckBox chk11;
    private javax.swing.JCheckBox chk12;
    private javax.swing.JCheckBox chk2;
    private javax.swing.JCheckBox chk3;
    private javax.swing.JCheckBox chk4;
    private javax.swing.JCheckBox chk5;
    private javax.swing.JCheckBox chk6;
    private javax.swing.JCheckBox chk7;
    private javax.swing.JCheckBox chk8;
    private javax.swing.JCheckBox chk9;
    private javax.swing.JButton jButton2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JLabel lblFondoPresupuesto;
    private javax.swing.JTextField monto1;
    private javax.swing.JTextField monto10;
    private javax.swing.JTextField monto11;
    private javax.swing.JTextField monto12;
    private javax.swing.JTextField monto2;
    private javax.swing.JTextField monto3;
    private javax.swing.JTextField monto4;
    private javax.swing.JTextField monto5;
    private javax.swing.JTextField monto6;
    private javax.swing.JTextField monto7;
    private javax.swing.JTextField monto8;
    private javax.swing.JTextField monto9;
    private javax.swing.JPanel panel1;
    private javax.swing.JPanel panelImpuesto;
    private javax.swing.JTextField txtCostoDepartamento;
    private javax.swing.JTextField txtImpuesto;
    private javax.swing.JTextField txtMC;
    private javax.swing.JTextField txtMontoObra;
    private javax.swing.JTextField txtNumApar;
    private javax.swing.JTextField txtPorc1;
    private javax.swing.JTextField txtPorc10;
    private javax.swing.JTextField txtPorc11;
    private javax.swing.JTextField txtPorc12;
    private javax.swing.JTextField txtPorc2;
    private javax.swing.JTextField txtPorc3;
    private javax.swing.JTextField txtPorc4;
    private javax.swing.JTextField txtPorc5;
    private javax.swing.JTextField txtPorc6;
    private javax.swing.JTextField txtPorc7;
    private javax.swing.JTextField txtPorc8;
    private javax.swing.JTextField txtPorc9;
    private javax.swing.JTextField txtPrecioMetro;
    private javax.swing.JTextField txtSubtotal;
    private javax.swing.JTextField txtTotal;
    // End of variables declaration//GEN-END:variables
}
